Name:       boolstuff
Summary:    Disjunctive Normal Form Boolean expression library and example
Version:    0.1.17
Release:    %mkrel 1
License:    GPLv2+
Group:      Development/C++
URL:        http://sarrazip.com/dev/boolstuff.html
Source:     http://perso.b2b2c.ca/~sarrazip/dev/%{name}-%{version}.tar.gz

%description
This library contains an algorithm that converts a Boolean expression
binary tree into the Disjunctive Normal Form. The NOT operator
is supported.
A command that calls this library is also provided.

%files
%{_bindir}/*
%{_mandir}/man1/booldnf*

#--------------------------------------------------------------------------#

%define soname 0
%define api 0.1
%define libname %mklibname boolstuff%{api}_ %soname

%package -n %{libname}
Summary:  Disjunctive Normal Form Boolean expression library
Group:    Development/C++

%description -n %{libname}
This library contains an algorithm that converts a Boolean expression
binary tree into the Disjunctive Normal Form. The NOT operator
is supported.

%files -n %{libname}
%{_libdir}/libboolstuff-%{api}.so.%{soname}{,.*}
%{_mandir}/man3/boolstuff*
# do we need to redistribute the GPLv2 license? (INSTALL file)
%doc %{_defaultdocdir}/*

#--------------------------------------------------------------------------#

%define develname %mklibname boolstuff -d

%package -n %{develname}
Summary:  C++ header files for the boolstuff library
Group:    Development/C++
Requires: %{libname} = %{version}
Provides: %{name}-devel = %{version}-%{release}
Provides: libboolstuff-devel = %{version}-%{release}

%description -n %{develname}
C++ header files for the Disjunctive Normal Form Boolean expression library.

%files -n %{develname}
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*

#--------------------------------------------------------------------------#
%prep
%setup -q

%build
# autoargh listao
./autogen.sh \
    --prefix %_prefix \
    --libdir=%_libdir

%make_build

%install
%make_install


%changelog
* Sun Nov 06 2022 danf <danf> 0.1.17-1.mga9
+ Revision: 1903917
- Update to ver. 0.1.17
- No longer package .la file
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.1.16-3.mga8
+ Revision: 1510759
- Mageia 8 Mass Rebuild

* Fri Sep 21 2018 umeabot <umeabot> 0.1.16-2.mga7
+ Revision: 1295592
- Mageia 7 Mass Rebuild

* Mon May 28 2018 shlomif <shlomif> 0.1.16-1.mga7
+ Revision: 1232817
- New version 0.1.16

* Wed Feb 10 2016 umeabot <umeabot> 0.1.15-2.mga6
+ Revision: 953308
- Mageia 6 Mass Rebuild

* Thu Sep 03 2015 shlomif <shlomif> 0.1.15-1.mga6
+ Revision: 872392
- New version 0.1.15 + SPEC cleanups

* Wed Oct 15 2014 umeabot <umeabot> 0.1.14-5.mga5
+ Revision: 745455
- Second Mageia 5 Mass Rebuild

* Thu Sep 18 2014 umeabot <umeabot> 0.1.14-4.mga5
+ Revision: 693512
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 0.1.14-3.mga5
+ Revision: 678199
- Mageia 5 Mass Rebuild

* Sun Oct 20 2013 umeabot <umeabot> 0.1.14-2.mga4
+ Revision: 536813
- Mageia 4 Mass Rebuild

* Tue Sep 24 2013 sander85 <sander85> 0.1.14-1.mga4
+ Revision: 485689
- New version: 0.1.14

* Fri Jan 11 2013 umeabot <umeabot> 0.1.13-3.mga3
+ Revision: 346943
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Feb 26 2011 ennael <ennael> 0.1.13-2.mga1
+ Revision: 60524
- imported package boolstuff

